package gmt.protocol.ext.VO;

public class ExtMsg_RPC32VO {
	private String msg;
	private String packetType;
	private String ID;                            //HHNNSS-요청자-순번 (175715-2-1)	
    private int requester;	                      //요청자   해수부 AIM(0), 운영국 AIM(1), EyeAS-SCS(2), 기지국MCS(3), Default(9)
    private int performer;                        //수행자   운영국 MCSS Primary(1), 운영국 MCSS Secondary(2), Default(9)
    private int success;                          //Integer; //성공여부   성공(0), 실패(1), Default(9)
    
	public ExtMsg_RPC32VO() {
		this.msg = "";
		this.packetType = "";
		this.ID = "";	
		this.requester = 9;
		this.performer = 9;
		this.success = 9;		
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public String getID() {
		return ID;
	}
	public void setID(String ID) {
		this.ID = ID;
	}	
	public int getRequester() {
		return requester;
	}
	public void setRequester(int requester) {
		this.requester = requester;
	}	
	public int getPerformer() {
		return performer;
	}
	public void setPerformer(int performer) {
		this.performer = performer;
	}	
	public int getSuccess() {
		return success;
	}
	public void setSuccess(int success) {
		this.success = success;
	}	
}
